Name:           json-lib
Version:        2.3
Release:        12%{?dist}
Summary:        JSON library for Java
License:        ASL 2.0
URL:            http://json-lib.sourceforge.net/
# NOTE: newer release (> 2.4) is available here https://github.com/aalmiray/Json-lib/
# A plain jarball with the source is provided by upstream.  We could use
# it, but we choose to build with maven for the sake of consistency.
# Therefore we pull the tree with maven metadata from VCS.
# cvs -d:pserver:anonymous@json-lib.cvs.sourceforge.net:/cvsroot/json-lib login
# cvs -z3 -d:pserver:anonymous@json-lib.cvs.sourceforge.net:/cvsroot/json-lib co -r REL_2_3 -d json-lib-2.3 -P json-lib
# tar czf json-lib-2.3.tar.gz --exclude CVS json-lib-2.3
Source0:        %{name}-%{version}.tar.gz
Patch0:         %{name}-%{version}-antrun-plugin.patch

BuildRequires:  java-devel
# compile dep
BuildRequires:  mvn(commons-beanutils:commons-beanutils)
BuildRequires:  mvn(commons-collections:commons-collections)
BuildRequires:  mvn(commons-lang:commons-lang)
BuildRequires:  mvn(commons-logging:commons-logging)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(net.sf.ezmorph:ezmorph)
BuildRequires:  mvn(org.codehaus.groovy:groovy) >= 1.7.2-2
BuildRequires:  mvn(oro:oro)
BuildRequires:  mvn(xom:xom)
# runtime deps
BuildRequires:  mvn(log4j:log4j)

# test deps
BuildRequires:  mvn(xmlunit:xmlunit)

BuildRequires:  maven-local
BuildRequires:  maven-shared
BuildRequires:  maven-surefire-provider-junit

BuildRequires:  maven-antrun-plugin
# antrun-plugin deps for groovy ant task
BuildRequires:  mvn(antlr:antlr)
BuildRequires:  mvn(asm:asm-all)
BuildRequires:  mvn(commons-cli:commons-cli)
BuildRequires:  mvn(org.slf4j:slf4j-nop)

BuildArch:      noarch

%description
JSON-lib is a java library for transforming beans, maps, collections, java
arrays and XML to JSON and back again to beans and DynaBeans.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -q

# Not strictly needed, but it makes no harm to be on the safe side
find -name '*.jar' -delete 
find -name '*.class' -delete

%pom_xpath_set "pom:project/pom:dependencies/pom:dependency[pom:groupId = 'org.codehaus.groovy']/pom:artifactId" groovy
%pom_remove_dep :jruby

%pom_remove_plugin :maven-compiler-plugin
%pom_remove_plugin :gmaven-plugin

%pom_xpath_remove "pom:project/pom:prerequisites"
%pom_xpath_remove "pom:project/pom:reporting"

# compile: src/main/groovy/net/sf/json/groovy/GJson.groovy
#          src/main/jdk15/net/sf/json/util/EnumMorpher.java
%patch0 -p0

# error: duplicate class
rm -r src/main/jdk15/net/sf/json/JSON*.java \
 src/main/jdk15/net/sf/json/util/JSONUtils.java
%pom_add_plugin org.apache.maven.plugins:maven-javadoc-plugin . '
<configuration>
  <charset>UTF-8</charset>
  <docencoding>UTF-8</docencoding>
  <sourcepath>${basedir}/src/main</sourcepath>
</configuration>'

# should be removed from distribution
%pom_remove_dep :commons-httpclient

%build

%mvn_file : %{name}
%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles

%files javadoc -f .mfiles-javadoc

%changelog
* Sat Aug 17 2013 gil cattaneo <puntogil@libero.it> 2.3-12
- fix rhbz#992642
- remove, not required, antlr3-tool, asm2, dom4j, jaxen
- use pom macros
- use groovy ant task (PATCH0)
- minor changes to adapt to current guideline

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 22 2013 Andy Grimm <agrimm@gmail.com> - 2.3-10
- Add maven-local and maven-shared to BuildRequires (RHBZ#914106)

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Aug 10 2012 Andy Grimm <agrimm@gmail.com> - 2.3-8
- Update to maven2, fixing FTBFS

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jul 27 2010 Lubomir Rintel <lkundrak@v3.sk> - 2.3-4
- Add some extra BRs to build this for f14

* Fri Jul 23 2010 Lubomir Rintel <lkundrak@v3.sk> - 2.3-3
- Incorporate Review suggestions (Stanislav Ochotnicky)
- Drop prebuilt jars
- Tighten up the BRs

* Thu Jun 17 2010 Lubomir Rintel <lkundrak@v3.sk> - 2.3-2
- Carry the build over to Maven
- Package Maven poms & add depmap
- Add javadoc subpackage

* Thu May 20 2010 Lubomir Rintel <lkundrak@v3.sk> - 2.3-1
- Initial packaging
